summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrey Grozin <grozin@gentoo.org>2018-11-09 23:11:36 +0700
committerAndrey Grozin <grozin@gentoo.org>2018-11-09 23:11:36 +0700
commite6473e8c6184161e9fbe6a71ae5070487438e4a8 (patch)
tree95f2aa32474776f3bd0e802430e3985161b80b03 /sci-libs/arprec
parentsci-libs/qd: bump to 2.3.22 (diff)
downloadgentoo-e6473e8c6184161e9fbe6a71ae5070487438e4a8.tar.gz
gentoo-e6473e8c6184161e9fbe6a71ae5070487438e4a8.tar.bz2
gentoo-e6473e8c6184161e9fbe6a71ae5070487438e4a8.zip
sci-libs/arprec: bump to 2.2.19
Signed-off-by: Andrey Grozin <grozin@gentoo.org> Package-Manager: Portage-2.3.41, Repoman-2.3.9
Diffstat (limited to 'sci-libs/arprec')
-rw-r--r--sci-libs/arprec/Manifest1
-rw-r--r--sci-libs/arprec/arprec-2.2.19.ebuild84
-rw-r--r--sci-libs/arprec/files/arprec-2.2.19-gold.patch11
3 files changed, 96 insertions, 0 deletions
diff --git a/sci-libs/arprec/Manifest b/sci-libs/arprec/Manifest
index bbef86f9893..f3d410c9881 100644
--- a/sci-libs/arprec/Manifest
+++ b/sci-libs/arprec/Manifest
@@ -1 +1,2 @@
DIST arprec-2.2.18.tar.gz 1751743 BLAKE2B de9a9a37bbe03357ad17d9d10d8bb42f73b9c9464643a35d4d1e209d049c205f967266dcae1af8972fc8c029f03053b298a4c85fdc48fb3f66d152aca8623a25 SHA512 372eb0a0c3aceac0d222679058f47c4d1037b5a51524b752b87f1b61c1b25101c34d4e56d9da45b4075ea7040dd59a597e0add4f34be902955dcf209423a6579
+DIST arprec-2.2.19.tar.gz 1962133 BLAKE2B a2fccc1908e791fd4759e61ff52b180fcaccbfbfa831ee1beca9b22a1a745d17d21040974ffe02ea21397a2339c819a30cd93a247738564a2b433f7cef14c9e4 SHA512 97cf090398aa169e31711077efd26dc6da1f62291ab37b241b133634838bdd44743f85b86b861a3be18d2696ae9132afb6cd1871502bedb9cc17dfb63fde2632
diff --git a/sci-libs/arprec/arprec-2.2.19.ebuild b/sci-libs/arprec/arprec-2.2.19.ebuild
new file mode 100644
index 00000000000..4fe88b289cb
--- /dev/null
+++ b/sci-libs/arprec/arprec-2.2.19.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+FORTRAN_NEEDED=fortran
+FORTRAN_STANDARD=90
+
+inherit autotools fortran-2
+
+DESCRIPTION="Arbitrary precision float arithmetics and functions"
+HOMEPAGE="http://crd-legacy.lbl.gov/~dhbailey/mpdist/"
+SRC_URI="http://crd.lbl.gov/~dhbailey/mpdist/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="cpu_flags_x86_fma3 cpu_flags_x86_fma4 doc fortran qd static-libs"
+
+DEPEND="qd? ( sci-libs/qd[fortran=] )"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-gold.patch
+)
+
+S="${WORKDIR}/${PN}"
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable cpu_flags_x86_fma$(usex cpu_flags_x86_fma3 3 4) fma) \
+ $(use_enable fortran) \
+ $(use_enable qd)
+}
+
+src_compile() {
+ default
+
+ if use fortran; then
+ emake toolkit
+ cd toolkit || die
+ ./mathinit || die "mathinit failed"
+ fi
+}
+
+src_install() {
+ default
+
+ if use fortran; then
+ cd toolkit || die
+
+ exeinto /usr/libexec/${PN}
+ doexe mathtool
+
+ exeinto /usr/libexec/${PN}/.libs
+ doexe .libs/mathtool
+
+ insinto /usr/libexec/${PN}
+ doins *.dat
+
+ cat > mathtool.exe <<- _EOF_ || die
+ #!/usr/bin/env sh
+ cd "${EPREFIX}/usr/libexec/${PN}" && exec ./mathtool
+ _EOF_
+
+ newbin mathtool.exe mathtool
+ newdoc README README.mathtool
+ fi
+
+ if ! use doc; then
+ rm "${ED%/}"/usr/share/doc/${PF}/*.pdf || die
+ fi
+
+ if ! use static-libs; then
+ find "${D}" -name '*.la' -delete || die
+ fi
+}
diff --git a/sci-libs/arprec/files/arprec-2.2.19-gold.patch b/sci-libs/arprec/files/arprec-2.2.19-gold.patch
new file mode 100644
index 00000000000..809ca15588f
--- /dev/null
+++ b/sci-libs/arprec/files/arprec-2.2.19-gold.patch
@@ -0,0 +1,11 @@
+diff -r -U3 arprec.orig/fortran/Makefile.am arprec/fortran/Makefile.am
+--- arprec.orig/fortran/Makefile.am 2015-12-12 07:20:15.000000000 +0600
++++ arprec/fortran/Makefile.am 2018-11-09 22:10:39.192991101 +0700
+@@ -4,6 +4,7 @@
+
+ lib_LTLIBRARIES = libarprecmod.la libarprec_f_main.la
+ libarprecmod_la_SOURCES = f_mp.cpp mp_mod.f mp_modm.f mp_modx.f
++libarprecmod_la_LIBADD = $(top_builddir)/src/libarprec.la $(FCLIBS)
+ libarprec_f_main_la_SOURCES = main.cpp
+
+ if UPCASE_MODULE